Skip to main content
PATCH
/
v1
/
trajectories
/
{trajectory_id}
Update Trajectory
curl --request PATCH \
  --url https://api.cyberdesk.io/v1/trajectories/{trajectory_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "trajectory_data": [
    {}
  ],
  "is_approved": true,
  "is_main": true
}
'
import requests

url = "https://api.cyberdesk.io/v1/trajectories/{trajectory_id}"

payload = {
"name": "<string>",
"description": "<string>",
"trajectory_data": [{}],
"is_approved": True,
"is_main": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
trajectory_data: [{}],
is_approved: true,
is_main: true
})
};

fetch('https://api.cyberdesk.io/v1/trajectories/{trajectory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "trajectory_data": [
    {}
  ],
  "dimensions": {},
  "is_approved": true,
  "has_been_approved": true,
  "is_generated": true,
  "is_main": true,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "description": "<string>",
  "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "original_input_values": {},
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Path Parameters

trajectory_id
string<uuid>
required

Body

application/json

Schema for updating a trajectory

name
string | null
Maximum string length: 255
description
string | null
trajectory_data
Trajectory Data · object[] | null
Minimum array length: 1
is_approved
boolean | null

Whether this trajectory is approved for use

is_main
boolean | null

Whether this trajectory is the optional main tie-break trajectory for its workflow

Response

Successful Response

Trajectory response schema

workflow_id
string<uuid>
required
trajectory_data
Trajectory Data · object[]
required
Minimum array length: 1
dimensions
Dimensions · object
required

Display dimensions when trajectory was recorded

is_approved
boolean
required
has_been_approved
boolean
required
is_generated
boolean
required
is_main
boolean
required
id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
name
string | null
Maximum string length: 255
description
string | null
run_id
string<uuid> | null

Optional run that created this trajectory

original_input_values
Original Input Values · object | null

Original input values used when trajectory was created

user_id
string<uuid> | null
organization_id
string | null